Subject: Re: [PATCH] af_packet: Don't use skb after dev_queue_xmit()

From: Michael Breuer <[email-masked]>
Date: Mon, 18 Jan 2010 17:25:43 -0500

On 1/18/2010 5:08 PM, Jarek Poplawski wrote:
> On Mon, Jan 18, 2010 at 04:39:24PM -0500, Michael Breuer wrote:
>    
>> Some output from tc -s qdisc:
>>      
> ...
>    
>> After the conclusion of the test:
>> qdisc pfifo_fast 0: dev eth0 root refcnt 2 bands 3 priomap  1 2 2 2
>> 1 2 0 0 1 1 1 1 1 1 1 1
>>   Sent 244900497 bytes 3416350 pkt (dropped 0, overlimits 0 requeues 0)
>>   rate 0bit 0pps backlog 0b 0p requeues 0
>> qdisc pfifo_fast 0: dev eth1 root refcnt 2 bands 3 priomap  1 2 2 2
>> 1 2 0 0 1 1 1 1 1 1 1 1
>>   Sent 564380 bytes 4708 pkt (dropped 0, overlimits 0 requeues 0)
>>   rate 0bit 0pps backlog 0b 0p requeues 0
>>      
> Great!
>
>    
>>
>> During the test, 8.9GB received; 232.9MB sent).
>>
>> I also connected a second device through the wifi router. I was able
>> to ping that device w/o loss while DHCP packets were being dropped
>> to the other connected device.
>>      
> Could you remind us if the problem is always with this first device?
> Btw, I wonder if you could test it skipping the (HP?) switch?
>
> Jarek P.
>    
No - can be any device connected via the wifi router - wired or wireless.